---
date: 2020-11-23
id: e419189e-5af3-4291-8d51-d87d460c19e3
title: Uppercase
---

# Description

Transforms every string character to uppercase for [string literal
types](20201123101810-typescript_template_literal_string_type).

# Syntax

``` typescript
type EnthusiasticGreeting<T extends string> = `${Uppercase<T>}`

type HELLO = EnthusiasticGreeting<"hello">;
// same as
//   type HELLO = "HELLO";
```
